Bug 829642 - engine-setup will not complete due to missing dependencies on Fedora 17 'Minimal' install
engine-setup will not complete due to missing dependencies on Fedora 17 'Mini...
Product: Fedora
Classification: Fedora
Component: ovirt-engine (Show other bugs)
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-07 04:07 EDT by DaGeek
Modified: 2012-06-16 19:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-16 19:58:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description DaGeek 2012-06-07 04:07:54 EDT
Description of problem:

If you do a Fedora17 'minimal' install the install will crash when I tries to run /usr/sbin/semanage command that is not installed by the minimal setup. you will need to 1st need to run 'yum install policycoreutils-python'. Without this extra package the engine-setup command will fail with a fatal error.

This is the 2nd error in the engine-setup script, the 1st error seems to be a non-fatal error, where the script will try to run /usr/bin/nslookup that again is not installed by the 'minimal' install option.

The .rpm should have policycoreutils-python & nslookup also set as dependencies.

Version-Release number of selected component (if applicable):
Fedora 17 - x86_64
oVirt-engine - 3.0.0

How reproducible:

Steps to Reproduce:
1. Clean 'Minimal' install of Fedora 17
2. yum install ovirt-engine
3. engine-setup
Actual results:

Error when the setup script tries to run /usr/sbin/semanage 

Expected results:

fully installed & configured oVirt-engine

Additional info:
Comment 1 Juan Hernández 2012-06-07 10:46:28 EDT
In 3.1 the policycoreutils-python and nslookup are dependencies of the ovirt package, so this is solved there already.

I am fixing the official Fedora 3.0 package.
Comment 2 DaGeek 2012-06-07 11:00:26 EDT
Thanks for your help Juan

I assume there is no Public release date for 3.1 yet ?
Comment 3 Juan Hernández 2012-06-07 11:11:26 EDT
Feature freeze for 3.1 is today (Jun 7) and according to the project release policies the release is 30 days after feature freeze for the first 3 releases, so you can expect the upstream release in a month from now. Of course this is subject to change.

The official Fedora package will follow shortly after the upstream release.
Comment 4 Juan Hernández 2012-06-07 11:12:21 EDT
More details on the release policies are here:

Comment 5 Fedora Update System 2012-06-07 11:40:44 EDT
ovirt-engine- has been submitted as an update for Fedora 17.
Comment 6 Fedora Update System 2012-06-08 20:03:50 EDT
Package ovirt-engine-
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ovirt-engine-'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-06-16 19:58:29 EDT
ovirt-engine- has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.